### Struct

# Ide SearchReducer

#### Description

    struct IdeSearchReducer {
      GSequence* sequence;
      gsize max_results;
      gsize count;
    }

No description available.

###### Structure members

`sequence` | No description available.
`max_results` | No description available.
`count` | No description available.

#### Functions

###### ide_search_reducer_init

Initializes a new `IdeSearchReducer` to be used to reduce the number of search results that are created. This is generally just used to help keep search performance good.

Available since: 3.32

#### Instance methods

###### ide_search_reducer_accepts

This helper allows you to check if a result with `score` would be allowed into the result set, or if the score is too low. This helps in situations where you want to avoid inflating an `IdeSearchResult` unless necessary.

Available since: 3.32

###### ide_search_reducer_destroy

Frees the results.

Available since: 3.32

###### ide_search_reducer_free

Frees all items associated with the result set, unless `free_results` is `FALSE` and then the results are returned as an array.

Available since: 3.32

###### ide_search_reducer_push

Adds result to the set unless it scores too low.

Available since: 3.32

###### ide_search_reducer_take

Like `ide_search_reducer_push()` but takes ownership of `result` by stealing the reference.

Available since: 3.32